summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorgoro <qtc-committer@nokia.com>2008-12-18 14:56:50 +0100
committergoro <qtc-committer@nokia.com>2008-12-18 14:56:50 +0100
commit17a9f1949fc6160a2996f023c1d852a4e5fd1aae (patch)
tree24c0cccf3742ebecc7eea15a2a515c107c8c497e /scripts
parent355160e56f1d3a30b4a572be0254e4bf6eb923db (diff)
downloadqt-creator-17a9f1949fc6160a2996f023c1d852a4e5fd1aae.tar.gz
Fix initial jump to script's home dir
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/snapshots/cleanup_snapshots.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/snapshots/cleanup_snapshots.sh b/scripts/snapshots/cleanup_snapshots.sh
index f239cc1af0..db283edd44 100755
--- a/scripts/snapshots/cleanup_snapshots.sh
+++ b/scripts/snapshots/cleanup_snapshots.sh
@@ -2,8 +2,8 @@
## Open script-dir-homed subshell
(
-ABS_SCRIPT_DIR=`pwd`/`dirname "$0"`
-cd "${ABS_SCRIPT_DIR}"
+ABS_SCRIPT_DIR=$(cd $(dirname $(which "$0")) && pwd)
+cd "${ABS_SCRIPT_DIR}" || exit 1
## Internal config